
Redmine - Feature #1338

Allow review watch list

2008-05-31 09:43 - Alon Bar-Lev

Status: Closed Start date: 2008-05-31

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hello,

Just browsed the issue list, I am missing the list of people who watch the issue.

It is important so you know how many people interested in an issue/feature.

It also important so you can discuss related issues offline.

Can you please consider showing the current watchers to the issue view?

Thank you!

Related issues:

Related to Redmine - Feature #398: Watcher list when new issue Closed

History

#1 - 2008-07-31 09:33 - Bradley Whittington

- File issue_watchers_management.patch added

I have built a patch (against the 0.7-stable branch) which allows one to review "watchers" of a ticket, and make your own additions. At the moment

anyone who is on a project can add watchers to any ticket. This is fine for our (i.e. my) uses, but obviously needs a permission associated with it. The

patch is not 100% consistent with redmine's code structure, as far as I see, but works effectively. I did not know how to make it more generic so that

watches on other objects could be done.

I would appreciate feedback and improvements.

We are going to try this current patch out and may make the additions of an associated role permission, and an additions of watchers at issue

creation time.

I have steered clear of removing watchers (would be pretty straightforward to add), since I think people should only be able to remove themselves

from tickets (but may get added as a watcher by anyone)

#2 - 2008-07-31 10:06 - Bradley Whittington

- File Screenshot-2.png added

Created a screenshot to illustrate how it looks

#3 - 2008-07-31 15:15 - Daniel N

+1  A feature I am still really missing since migrating from mantis to redmine - very important for collaboration and workflow. Please integrate...

#4 - 2008-09-14 23:58 - Markus Knittig

- Status changed from New to Resolved

A features like this added in r1712. See http://www.redmine.org/issues/show/398

#5 - 2008-09-15 10:20 - Bradley Whittington

Please can this be marked as a duplicate/relates to issue #398
https://www.redmine.org/projects/redmine/repository/svn/revisions/1712
http://www.redmine.org/issues/show/398
https://www.redmine.org/issues/398


#6 - 2008-12-30 14:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

issue_watchers_management.patch 4 KB 2008-07-31 Bradley Whittington

Screenshot-2.png 97.7 KB 2008-07-31 Bradley Whittington
